Page MenuHomePhabricator

Content Translation tool not allowing work
Closed, ResolvedPublic

Description

Hi, this is just to let you know that the Content Translation tool has not been allowing work on unfinished translations since 2020-04-02.

  • It is possible to view their list but clicking any of them only runs a loading icon on the page but its contents never appear to allow more work on it, to say nothing of the possibility of publication.
  • happens on both Chrome and Mozilla, with pages translated from en.wp and es.wp to cs.wp
  • several problems listed [https://www.mediawiki.org/wiki/Talk:Content_translation | here] mentioned publication trouble a few days earlier, the same later with the problem reported here, but with no replies when I checked

Content Translation is a great tool and it would be great to be able to use it again to help create new Wikipedia pages.
Thanks for considering repairing it.

Event Timeline

@Cheva @Chronus Can you paste any error noticed in the browser console (Chrome or Mozilla) during this? It seems I can reproduce this with..

jQuery.Deferred exception: Cannot read property 'map' of null TypeError: Cannot read property 'map' of null
    at MwCxDmTranslation.mw.cx.dm.Translation.setSavedTranslation
    at MwCXInitTranslation.<anonymous>
    at mightThrow
    at process

@Chronus I am afraid there doesn't seem to be anything unusual to notice on the browser – see the screenshot. Mind you, I am not an IT person to be sure about that - thanks for understanding :-)

capture_04052020_100733_ContentTransl_screenshot.jpg (933×1 px, 267 KB)

Loading is also stuck for me. Error in console:

jQuery.Deferred exception: this.targetCategories is null mw.cx.dm.Translation.prototype.setSavedTranslation
Laurent04000 claimed this task.
Laurent04000 added a subscriber: Laurent04000.

One strange thing is that I've been able to load (after leaving the tool) a translation started on this day but an older translation just doesn't want to come...

Laurent04000 removed Laurent04000 as the assignee of this task.

Me and several other users in Ukrainian Wikipedia have the very same issue. So, it is not dependent on language version. This happened to me for translations be->uk and en->uk, so it neither depends on source and target languages. Finally, I use Opera (while original reporter tried it in Chrome and Mozilla), so the problem does not depend on browser.

Adding a screenshot of what it looks like, with the console opened:

image.png (567×1 px, 151 KB)

Tohaomg raised the priority of this task from High to Unbreak Now!.Apr 5 2020, 5:14 PM
KartikMistry lowered the priority of this task from Unbreak Now! to High.Apr 5 2020, 5:18 PM

We are looking at this issue. Since, this doesn't break entire tool workflow for all users, setting it to High priority.

@Chronus: After having been instructed by a Czech wiki-colleague, I am pasting the Console "loading" log:

JQMIGRATE: Migrate is installed with logging active, version 3.1.0
VM276:466 This page is using the deprecated ResourceLoader module "mediawiki.notify".
This dependency is no longer needed, mw.notify() is available by default.
(anonymous) @ VM276:466
load.php?lang=cs&modules=jquery%2Coojs-ui-core%2Coojs-ui-widgets|jquery.ui&skin=vector&version=92m4u:408 This page is using the deprecated ResourceLoader module "jquery.ui".
Please use OOUI instead.
mw.loader.implement.css @ load.php?lang=cs&modules=jquery%2Coojs-ui-core%2Coojs-ui-widgets|jquery.ui&skin=vector&version=92m4u:408
load.php?lang=cs&modules=jquery%2Coojs-ui-core%2Coojs-ui-widgets|jquery.ui&skin=vector&version=92m4u:144 JQMIGRATE: jQuery.fn.delegate() is deprecated
migrateWarn @ load.php?lang=cs&modules=jquery%2Coojs-ui-core%2Coojs-ui-widgets|jquery.ui&skin=vector&version=92m4u:144
8A cookie associated with a cross-site resource at <URL> was set without the SameSite attribute. A future release of Chrome will only deliver cookies with cross-site requests if they are set with SameSite=None and Secure. You can review cookies in developer tools under Application>Storage>Cookies and see more details at <URL> and <URL>.
2load.php?lang=cs&modules=startup&only=scripts&raw=1&skin=vector:4 Use of "wgContentLanguage" is deprecated. Use mw.config instead.
maybeLog @ load.php?lang=cs&modules=startup&only=scripts&raw=1&skin=vector:4
2load.php?lang=cs&modules=startup&only=scripts&raw=1&skin=vector:4 Use of "wgAction" is deprecated. Use mw.config instead.
maybeLog @ load.php?lang=cs&modules=startup&only=scripts&raw=1&skin=vector:4
VM280:111 This page is using the deprecated ResourceLoader module "jquery.tipsy".
mw.loader.implement.css @ VM280:111
VM285:25 This page is using the deprecated ResourceLoader module "jquery.throttle-debounce".
Please use OO.ui.throttle/debounce instead. See https://phabricator.wikimedia.org/T213426
(anonymous) @ VM285:25
load.php?lang=cs&modules=jquery%2Coojs-ui-core%2Coojs-ui-widgets|jquery.ui&skin=vector&version=92m4u:51 jQuery.Deferred exception: Cannot read property 'map' of null TypeError: Cannot read property 'map' of null

at MwCxDmTranslation.mw.cx.dm.Translation.setSavedTranslation (<anonymous>:997:869)
at MwCXInitTranslation.<anonymous> (<anonymous>:158:277)
at mightThrow (https://cs.wikipedia.org/w/load.php?lang=cs&modules=jquery%2Coojs-ui-core%2Coojs-ui-widgets%7Cjquery.ui&skin=vector&version=92m4u:49:149)
at process (https://cs.wikipedia.org/w/load.php?lang=cs&modules=jquery%2Coojs-ui-core%2Coojs-ui-widgets%7Cjquery.ui&skin=vector&version=92m4u:49:808) undefined

jQuery.Deferred.exceptionHook @ load.php?lang=cs&modules=jquery%2Coojs-ui-core%2Coojs-ui-widgets|jquery.ui&skin=vector&version=92m4u:51
The resource https://cs.wikipedia.org/static/images/project-logos/cswiki-1.5x.png was preloaded using link preload but not used within a few seconds from the window's load event. Please make sure it has an appropriate as value and it is preloaded intentionally.

Screenshot is attached (2 screenshots merged):

capture_04052020_192121_ContentTranslation_Console.jpg (1×1 px, 574 KB)

Change 586300 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/ContentTranslation@master] Avoid failure on restoring draft with no categories

https://gerrit.wikimedia.org/r/586300

Change 586311 had a related patch set uploaded (by KartikMistry; owner: Nikerabbit):
[mediawiki/extensions/ContentTranslation@wmf/1.35.0-wmf.26] Avoid failure on restoring draft with no categories

https://gerrit.wikimedia.org/r/586311

Change 586300 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Avoid failure on restoring draft with no categories

https://gerrit.wikimedia.org/r/586300

Change 586311 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@wmf/1.35.0-wmf.26] Avoid failure on restoring draft with no categories

https://gerrit.wikimedia.org/r/586311

Mentioned in SAL (#wikimedia-operations) [2020-04-06T11:32:35Z] <awight@deploy1001> Synchronized php-1.35.0-wmf.26/extensions/ContentTranslation: SWAT: [[gerrit:586311|Avoid failure on restoring draft with no categories (T249400)]] (duration: 01m 02s)

Don't know how you did it but I can get to my unpublished translations now. In between, I translated and published another page. Thanks!